<?xml version="1.0" encoding="Shift_JIS"?>

<project default="make" basedir="..">
	<taskdef resource="jp/cssj/anttask/tasks.properties"/>
	
	<target name="make">
		<cssj srcDir="docs/examples/misc"
              includes="*.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.bookmarks" value="true"/>
	        <property name="output.pdf.hyperlinks" value="true"/>
	        <property name="output.pdf.font.policy" value="generic"/>
	    </cssj>
		<cssj srcDir="docs/examples/color"
              includes="*.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.bookmarks" value="true"/>
	        <property name="output.pdf.hyperlinks" value="true"/>
	        <property name="output.pdf.font.policy" value="generic"/>
	    </cssj>
		<cssj srcDir="docs/examples/text"
              includes="*.html"
			  excludes="font-embed.html,font-external.html,svg.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.bookmarks" value="true"/>
	        <property name="output.pdf.hyperlinks" value="true"/>
	        <property name="output.pdf.font.policy" value="generic"/>
	    </cssj>
		<cssj srcDir="docs/examples/text"
              includes="font-embed.html,svg.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.bookmarks" value="true"/>
	        <property name="output.pdf.hyperlinks" value="true"/>
	        <property name="output.pdf.fonts.policy" value="embed"/>
	    </cssj>
		<cssj srcDir="docs/examples/text"
              includes="font-external.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.bookmarks" value="true"/>
	        <property name="output.pdf.hyperlinks" value="true"/>
	        <property name="output.pdf.fonts.policy" value="external"/>
	    </cssj>
		<cssj srcDir="docs/examples/table"
              includes="*.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.bookmarks" value="true"/>
	        <property name="output.pdf.hyperlinks" value="true"/>
	        <property name="output.pdf.font.policy" value="generic"/>
	    </cssj>
		<cssj srcDir="docs/examples/print"
              includes="*.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.bookmarks" value="true"/>
	        <property name="output.pdf.hyperlinks" value="true"/>
	        <property name="output.pdf.font.policy" value="generic"/>
	    </cssj>
		<cssj srcDir="docs/examples/pdf"
              includes="cipher-1.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.encryption" value="v2"/>
	        <property name="output.pdf.encryption.user-password" value="user"/>
	        <property name="output.pdf.encryption.owner-password" value="owner"/>
	        <property name="output.pdf.encryption.permissions.print" value="false"/>
	    </cssj>
		<cssj srcDir="docs/examples/pdf"
              includes="cipher-2.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.encryption" value="v2"/>
	        <property name="output.pdf.encryption.owner-password" value="owner"/>
	        <property name="output.pdf.encryption.permissions.print" value="false"/>
	    </cssj>
		<cssj srcDir="docs/examples/pdf"
              includes="cipher-3.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.encryption" value="v2"/>
	        <property name="output.pdf.encryption.permissions.copy" value="false"/>
	    </cssj>
		<cssj srcDir="docs/examples/pdf"
              includes="cipher-4.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.encryption" value="v1"/>
	        <property name="output.pdf.encryption.user-password" value="user"/>
	        <property name="output.pdf.encryption.owner-password" value="owner"/>
	        <property name="output.pdf.encryption.permissions.print" value="false"/>
	        <property name="output.pdf.encryption.permissions.copy" value="false"/>
	    </cssj>
		<cssj srcDir="docs"
              includes="*.html"
		      suffix=".pdf"
		      resources="resources">
	        <property name="output.pdf.bookmarks" value="true"/>
	        <property name="output.pdf.hyperlinks" value="true"/>
	        <property name="output.pdf.font.policy" value="generic"/>
	    </cssj>
	</target>
</project>
